## linuxmuster-webui 1.0.6-0

=== usr/lib/linuxmuster-webui/etc/requirements.txt ===
aj==2.1.15
ajenti-panel==2.1.17
ajenti.plugin.ace==0.25
ajenti.plugin.auth-users==0.27
ajenti.plugin.core==0.80
ajenti.plugin.dashboard==0.35
ajenti.plugin.filesystem==0.38
ajenti.plugin.passwd==0.21
ajenti.plugin.plugins==0.41
ajenti.plugin.settings==0.23
unicodecsv==0.14.1

=== debian/changelog ===
linuxmuster-webui (1.0.6-0) babo62; urgency=low

  * Fix empty Workstationsfile (Issue #5)

 -- Thomas Schmitt <thomas@linuxmuster.net>  Sat, 25 Mar 2017 10:27:47 +0100

linuxmuster-webui (1.0.5-0) babo62; urgency=low

  * Update AJ core and plugins, some bugfixes and css work, add new logo, optimize printers plugin 

 -- Maurice Cazautet <maurice.cazautet@netzint.de>  Wed, 30 Nov 2016 07:47:46 +0100

linuxmuster-webui (1.0.4-0) babo62; urgency=low

  * new ajenti plugin version, file mod linbo, bug fixes, install fixes

 -- Kai Wursthorn <kai.wursthornt@netzint.de>  Wed, 09 Nov 2016 20:48:31 +0100

linuxmuster-webui (1.0.3-0) babo62; urgency=low

  * fix linbo file modes, linbo encoding, linbo autoinitconfig

 -- Maurice Cazautet <maurice.cazautet@netzint.de>  Thu, 02 Nov 2016 18:40:26 +0100

linuxmuster-webui (1.0.2-0) babo62; urgency=low

  * some bugfixes and add build-essential

 -- Maurice Cazautet <maurice.cazautet@netzint.de>  Mon, 29 Aug 2016 14:17:55 +0200

linuxmuster-webui (1.0.1-0) babo62; urgency=low

  * fix permissions and var/home mismatch

 -- Maurice Cazautet <maurice.cazautet@netzint.de>  Mon, 25 Jul 2016 15:25:23 +0200

linuxmuster-webui (1.0.0-0) babo62; urgency=low

  * initial package.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Fri, 22 Jul 2016 10:19:09 +0200

=== debian/control ===
Source: linuxmuster-webui
Section: admin
Priority: optional
Maintainer: Thomas Schmitt <thomas@linuxmuster.net>
Build-Depends: debhelper (>= 4.0.0), fakeroot

Package: linuxmuster-webui
Architecture: all
Depends: python-pip, python-dev, python-lxml, libffi-dev, libssl-dev, libjpeg-dev, libpng-dev, uuid-dev, python-dbus, libldap2-dev, libsasl2-dev, python-ldap
Homepage: www.linuxmuster.net
Recommends: sophomorix-base, linuxmuster-base
Description: next generation web-based administration tool for linuxmuster.net

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=5

#ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
#	CFLAGS += -g
#endif
#ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
#	INSTALL_PROGRAM += -s
#endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build-arch: configure-stamp  build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here command to compile/build the package.
	#$(MAKE)

	touch build-arch-stamp

build-indep:  configure-stamp build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Add here command to compile/build the arch indep package.
	# It's ok not to do anything here, if you don't need to build
	#  anything for this package.

	touch build-indep-stamp

build: build-arch build-indep

clean: clean1
clean1:
	dh_testdir
	dh_testroot
	rm -f build-indep-stamp build-arch-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean


install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package.
	dh_install
	# fixing default not being installed
	mkdir -p debian/linuxmuster-webui
	cp -r etc debian/linuxmuster-webui
	cp -r usr debian/linuxmuster-webui

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installdebconf
	dh_installdocs
#	dh_installexamples -i
#	dh_installmenu -i
	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
	dh_installinit -i
	dh_installcron -i
#	dh_installman -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
#	dh_perl -i
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: install
# We have nothing to do by default.


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure clean1
